> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nativehub.live/llms.txt
> Use this file to discover all available pages before exploring further.

# List contacts

> Retrieve paginated list of contacts



## OpenAPI

````yaml GET /contacts
openapi: 3.0.3
info:
  title: NativeMessage API
  version: 1.0.0
  description: Complete API documentation for NativeMessage platform
  contact:
    name: NativeMessage Support
    email: support@nativemessage.com
servers:
  - url: https://api-message.nativehub.live/api/v1
    description: Production server
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /contacts:
    get:
      tags:
        - Contacts
      summary: List contacts
      description: Retrieve paginated list of contacts
      operationId: listContacts
      parameters:
        - $ref: '#/components/parameters/PageParam'
        - $ref: '#/components/parameters/PerPageParam'
        - name: search
          in: query
          description: Search contacts by name or phone
          schema:
            type: string
      responses:
        '200':
          description: Contacts retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedContacts'
components:
  parameters:
    PageParam:
      name: page
      in: query
      description: Page number (default 1)
      schema:
        type: integer
        default: 1
        minimum: 1
    PerPageParam:
      name: per_page
      in: query
      description: Items per page (default 20, max 100)
      schema:
        type: integer
        default: 20
        minimum: 1
        maximum: 100
  schemas:
    PaginatedContacts:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Contact'
        total:
          type: integer
        page:
          type: integer
        per_page:
          type: integer
    Contact:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tenant_id:
          type: string
          format: uuid
        name:
          type: string
        phone:
          type: string
        email:
          type: string
          format: email
        tags:
          type: object
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      example:
        id: c9d0e1f2-a3b4-5678-cd90-123456789012
        tenant_id: c3d4e5f6-a7b8-9012-cdef-123456789012
        name: Alice Johnson
        phone: '+8801712345678'
        email: alice@example.com
        tags:
          segment: premium
          region: dhaka
        created_at: '2026-02-01T09:00:00Z'
        updated_at: '2026-02-10T11:30:00Z'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````